Debian Bug report logs - #717837
zziplib ftbfs on arm64

version graph

Package: zziplib; Maintainer for zziplib is Scott Howard <showard@debian.org>;

Reported by: Matthias Klose <doko@ubuntu.com>

Date: Thu, 25 Jul 2013 14:15:01 UTC

Severity: normal

Tags: patch

Found in version 0.13.56-1.1

Fixed in version zziplib/0.13.56-2

Done: Scott Howard <showard@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, LIU Qi <liuqi82@gmail.com>:
Bug#717837; Package zziplib. (Thu, 25 Jul 2013 14:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@ubuntu.com>:
New Bug report received and forwarded. Copy sent to LIU Qi <liuqi82@gmail.com>. (Thu, 25 Jul 2013 14:15:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@ubuntu.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: zziplib ftbfs on arm64
Date: Thu, 25 Jul 2013 16:10:34 +0200
Package: zziplib
Version: 0.13.56-1.1
Severity: wishlist
User: debian-arm@lists.debian.org
Tags: patch
Usertags: arm64

patch at
http://launchpadlibrarian.net/145664585/zziplib_0.13.56-1.1_0.13.56-1.1ubuntu1.diff.gz



Information forwarded to debian-bugs-dist@lists.debian.org, LIU Qi <liuqi82@gmail.com>:
Bug#717837; Package zziplib. (Sun, 05 Jan 2014 23:27:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@wookware.org>:
Extra info received and forwarded to list. Copy sent to LIU Qi <liuqi82@gmail.com>. (Sun, 05 Jan 2014 23:27:08 GMT) Full text and rfc822 format available.

Message #10 received at 717837@bugs.debian.org (full text, mbox):

From: Wookey <wookey@wookware.org>
To: Debian Bug Tracking System <717837@bugs.debian.org>
Subject: Re: zziplib ftbfs on arm64
Date: Sun, 05 Jan 2014 23:25:01 +0000
[Message part 1 (text/plain, inline)]
Source: zziplib
Version: 0.13.56-1.1
Followup-For: Bug #717837
User: debian-arm@lists.debian.org
Usertag: arm64

Attached is a patch using the autotools-dev dh_ helpers to ensure
config.{guess,sub} are up to date for the build. This fixes the arm64
issue (tested) and ensures that this problem remains fixed in the
future for new ports. It also ensures that the package builds twice.

The package already used autotools-dev and a manual update of the
config.{sub, guess} files, but this failed in actual builds as the
zziplib dir is missing at that point. The dh_autotools* helpers are more
reliable and simpler to use in the rules file, so I think this is a good
fix.

-- System Information:
Debian Release: 7.3
  APT prefers stable
  APT policy: (990, 'stable')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-kvm-i386-20110111 (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash
[zziplib_0.13.56-1.1-config-update.patch (text/x-diff, attachment)]

Severity set to 'normal' from 'wishlist' Request was from Wookey <wookey@stoneboat.aleph1.co.uk> to control@bugs.debian.org. (Mon, 06 Jan 2014 22:21:31 GMT) Full text and rfc822 format available.

Reply sent to Scott Howard <showard@debian.org>:
You have taken responsibility. (Tue, 07 Jan 2014 19:21:16 GMT) Full text and rfc822 format available.

Notification sent to Matthias Klose <doko@ubuntu.com>:
Bug acknowledged by developer. (Tue, 07 Jan 2014 19:21:16 GMT) Full text and rfc822 format available.

Message #17 received at 717837-close@bugs.debian.org (full text, mbox):

From: Scott Howard <showard@debian.org>
To: 717837-close@bugs.debian.org
Subject: Bug#717837: fixed in zziplib 0.13.56-2
Date: Tue, 07 Jan 2014 19:18:57 +0000
Source: zziplib
Source-Version: 0.13.56-2

We believe that the bug you reported is fixed in the latest version of
zziplib, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 717837@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Scott Howard <showard@debian.org> (supplier of updated zziplib package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 07 Jan 2014 13:57:57 -0500
Source: zziplib
Binary: zziplib-bin libzzip-0-13 libzzip-dev
Architecture: source i386
Version: 0.13.56-2
Distribution: unstable
Urgency: low
Maintainer: Scott Howard <showard@debian.org>
Changed-By: Scott Howard <showard@debian.org>
Description: 
 libzzip-0-13 - library providing read access on ZIP-archives - library
 libzzip-dev - library providing read access on ZIP-archives - development
 zziplib-bin - library providing read access on ZIP-archives - binaries
Closes: 471065 565982 717837 733144
Changes: 
 zziplib (0.13.56-2) unstable; urgency=low
 .
   * Adopting package (Closes: #733144)
   * use source/format 3.0 (quilt), and separate debian changes into
     patch "export-dynamic.patch"
   * simple dh rules
     - multiarch enabled
     - use --with autotools-dev (Closes: #717837)
   * build depend on zip so build checks run
   * added symbols file
   * No longer conflict with zziplib-0-12 (no reason to conflict)
     (Closes: #565982)
   * Removed unneeded -lz from .pc file (Closes: #471065)
     - debian/patches/remove_extra_z_linking.patch
Checksums-Sha1: 
 85d05d7b12de6f1c5456c000d967bb2abce55337 1365 zziplib_0.13.56-2.dsc
 151ac08c3ad12dc634cb183c195950160dc44c4f 11355 zziplib_0.13.56-2.debian.tar.gz
 818909d801a7a74380f8682f42aa95decbca77ff 38030 zziplib-bin_0.13.56-2_i386.deb
 2927e669815e1a1b02cbabc7ab305c755c711b7c 51760 libzzip-0-13_0.13.56-2_i386.deb
 0dfe896e9e416bd675b35b6cc521aec7201b9f26 132646 libzzip-dev_0.13.56-2_i386.deb
Checksums-Sha256: 
 65c68107e4323b9a880abf405db8c95c1698d9bfb13c034a43485ed37ed924ca 1365 zziplib_0.13.56-2.dsc
 785412d6bdccaf4cf5de7e495db77669261eaeed41cd77f5b9d55cfc1b8a1ef7 11355 zziplib_0.13.56-2.debian.tar.gz
 1d07d3564613af1d4d990efab4cf55c434c4a222b216eb4e02defa1583210643 38030 zziplib-bin_0.13.56-2_i386.deb
 3fca4122b5b68a27340f157f53331f0e24b8d1b2b5e5057ae7b23de62431c18a 51760 libzzip-0-13_0.13.56-2_i386.deb
 4688bf063c93687b706757009acd545ab5d83de302b0ad5a4f0957b9c92fb31d 132646 libzzip-dev_0.13.56-2_i386.deb
Files: 
 22a0507ca6766e04acc72aae42c02df6 1365 libs optional zziplib_0.13.56-2.dsc
 c8f143f72725ca4fdc5a04d39a0b78a4 11355 libs optional zziplib_0.13.56-2.debian.tar.gz
 7fdc6201174d950bb28dc57db06cdc79 38030 utils optional zziplib-bin_0.13.56-2_i386.deb
 954b020b7a8b7644bfd24d7730e0f29f 51760 libs optional libzzip-0-13_0.13.56-2_i386.deb
 843e1a2843aa8fe1b4b841c4be400470 132646 libdevel optional libzzip-dev_0.13.56-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iEYEARECAAYFAlLMT4kACgkQuqVp0MvxKmokKgCcC3hDl6Gtm+nyLQN2uKYaPvH/
UuAAnAnQ+gTvcoAP4gKnZXEgr2LEVL6z
=I+2F
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 06 Mar 2014 07:34:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 03:04:58 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.